// Copyright (c) 2000-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
//
// Initial Contributors:
// Nokia Corporation - initial contribution.
//
// Contributors:
//
// Description:
// \file etelmmerr.h
// Multimode ETel API v1.0
// Header file contains extended error code constants for Multimode network & phone errors
// 
//

#ifndef __ETELMMERR_H__
#define __ETELMMERR_H__

/**
@internalComponent
*/
const TInt KErrEtelMMBase = -3200;

/**
Multimode specific errors that will be generated by TSY
@internalComponent
*/
const TInt KErrMMEtelWrongMode = KErrEtelMMBase-1;
const TInt KErrMMEtelFailedDueToModeChange = KErrEtelMMBase-2;
const TInt KErrMMEtelRemoteEndTermination = KErrEtelMMBase-3;
const TInt KErrMMEtelSmsFormatNotSupported = KErrEtelMMBase-4;
const TInt KErrMMEtelFeatureCodeNotSet = KErrEtelMMBase-5;
const TInt KErrMMEtelNetworkNotResponding = KErrEtelMMBase-6;
const TInt KErrMMEtelCallForbidden = KErrEtelMMBase-7;

#endif

